This page describes the specific use of MarkupBinder from within
Notepad++, a text editor for Windows.  Notepad++ is mostly accessible with NVDA and JAWS.

After reading this page, read the\
[Getting started with MarkupBinder as a lightweight word processor alternative](Getting started with MarkupBinder as a light word processor alternative.html) page in this section.

It is assumed that you have installed MarkupBinder as described in:
[Installing in Windows](../../../Installation/Windows/index.html).

After the installation procedure, MarkupBinder is configured in Notepad++ as a list of commands in the NppExec plug-in dialog; these are easily accessible.  Each command usually represents a single MarkupBinder command.

First you load Notepad++ with a content page written in Markdown (with the '.md' file extension).  Edit the file.

The author finds it convenient to toggle the 'Word wrap' mode on and off
from the menu View > WordWrap (Alt + vw). If a paragraph is 'hard' wrapped (by pressing the Enter key) and you want it 'soft' wrapped (only wrapped in the  view), highlight the paragraph and press the 'Join' command [Ctrl + j].

After editing the file, invoke the required command by first pressing F6 to bring the NppExec plug-in dialog then select the appropriate command.  If you want to invoke the last command again simply press [Ctrl + F6]  

The MarkupBinder commands are:

- Build Document Page
- Build Folder
- Build Binder
- Rebuild Web Binder
- Clean Binder
- Convert File
- MarkupBinder Help

All the commands above, except for the 'File Conversion', require a single selection in the NppExec dialog.

When you invoke the 'Convert File' command, a dialog is displayed asking you to enter the file conversion command required which is explained in detail in the\
 [Using MarkupBinder from the command line](../../Using MarkupBinder from the command line.html) page.\
Note that you need to enter only the command itself (not the '-' flag indicator).  For example, to convert an HTML file displayed in TextPad, type 'html2md'.

With all MarkupBinder commands you can check the command's progress by examining the Notepad++ console output; the file processed is presented on separate lines and any errors are clearly presented (errors are very rare).
If you followed the Notepad installation guide as recommended, you can show or hide the console by using the NppExec 'Toggle console' command [Shift + F6].

When you issue the command 'Build document page' your default browser opens with the file converted to HTML; don't forget to close the browser after you have checked the converted content as each time you issue this command a new instance of the browser opens.

In the usual editing process, you will most frequently use the above 'Build Document Page' command which builds a single and usually short file, and therefore should only take a few seconds to run. When you build a single, very large file or perform a command on the binder (a command involving multiple files), processing may take a while so wait patiently for the process to finish with the word 'Ready' displayed at the end of the console output.
 
It is useful to work with a binder folder structure and load Notepad++ with a document using Windows Explorer, the Windows File Manager.

MarkupBinder's documents are written in Markdown, a lightweight writing format with the file extension '.md'.  For convenience, configure Windows Explorer to open these types of files automatically when pressing Enter (double clicked) using Notepad++. 

You can create in Windows Explorer a new text file from scratch with the extension '.md' but the easiest way is to create a file with the correct  'UTF-8' characters' encoding (to ensure correct processing in MarkupBinder) by copying the file 'empty-file.md' from the '_resource' sub-folder to your current folder; change the file name to suit your requirements and start to write your Markdown content.   


